Subject: Re: bug#3419: 23.0.94; calc, calendar and temp-buffer-resize-mode

From: Juri Linkov <[email-masked]>
Date: Fri, 04 Nov 2011 11:38:50 +0200

>>>> But I meant that *Calculator* and *Calc Trail* windows could be
>>>> displayed with `display-buffer' and an appropriate ACTION argument.
>>>> Then users will be able to customize its default behavior.
>>> Can't they already do that with display-buffer-alist?
>> `display-buffer-alist' can't undo splitting done outside of the
>> `display-buffer' call.
>
> I think I'm completely lost here.  What splitting are you talking about?

There is an explicit call to `split-window' in `calc'.
So users can't override it with `display-buffer-alist'.

With `split-window' implemented in a special action, users will be able
to override it with another action, e.g. an action that displays the
*Calc* buffer above the minibuffer, or below the selected window, etc.
(Currently *Calc* is displayed only in the largest window,
and this is not customizable yet).